IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network31.239.192.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
31.239.192.0- Broadcast address
31.239.223.255- First usable
31.239.192.1- Last usable
31.239.223.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
1FEFC000· Integer535805952to535814143 - Reverse DNS zones
192.239.31.in-addr.arpa193.239.31.in-addr.arpa194.239.31.in-addr.arpa195.239.31.in-addr.arpa196.239.31.in-addr.arpa197.239.31.in-addr.arpa198.239.31.in-addr.arpa199.239.31.in-addr.arpa200.239.31.in-addr.arpa201.239.31.in-addr.arpa202.239.31.in-addr.arpa203.239.31.in-addr.arpa204.239.31.in-addr.arpa205.239.31.in-addr.arpa206.239.31.in-addr.arpa207.239.31.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00011111.11101111.11000000.00000000 | 31.239.192.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 00011111.11101111.11000000.00000000 | 31.239.192.0 |
| Broadcast | 00011111.11101111.11011111.11111111 | 31.239.223.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
31.239.192.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 31.239.192.0/31 | 31.239.192.0 to 31.239.192.1 | — | 2 |
| 2 | 31.239.192.2/31 | 31.239.192.2 to 31.239.192.3 | — | 2 |
| 3 | 31.239.192.4/31 | 31.239.192.4 to 31.239.192.5 | — | 2 |
| 4 | 31.239.192.6/31 | 31.239.192.6 to 31.239.192.7 | — | 2 |
| 5 | 31.239.192.8/31 | 31.239.192.8 to 31.239.192.9 | — | 2 |
| 6 | 31.239.192.10/31 | 31.239.192.10 to 31.239.192.11 | — | 2 |
| 7 | 31.239.192.12/31 | 31.239.192.12 to 31.239.192.13 | — | 2 |
| 8 | 31.239.192.14/31 | 31.239.192.14 to 31.239.192.15 | — | 2 |
| 9 | 31.239.192.16/31 | 31.239.192.16 to 31.239.192.17 | — | 2 |
| 10 | 31.239.192.18/31 | 31.239.192.18 to 31.239.192.19 | — | 2 |
| 11 | 31.239.192.20/31 | 31.239.192.20 to 31.239.192.21 | — | 2 |
| 12 | 31.239.192.22/31 | 31.239.192.22 to 31.239.192.23 | — | 2 |
| 13 | 31.239.192.24/31 | 31.239.192.24 to 31.239.192.25 | — | 2 |
| 14 | 31.239.192.26/31 | 31.239.192.26 to 31.239.192.27 | — | 2 |
| 15 | 31.239.192.28/31 | 31.239.192.28 to 31.239.192.29 | — | 2 |
| 16 | 31.239.192.30/31 | 31.239.192.30 to 31.239.192.31 | — | 2 |
| 17 | 31.239.192.32/31 | 31.239.192.32 to 31.239.192.33 | — | 2 |
| 18 | 31.239.192.34/31 | 31.239.192.34 to 31.239.192.35 | — | 2 |
| 19 | 31.239.192.36/31 | 31.239.192.36 to 31.239.192.37 | — | 2 |
| 20 | 31.239.192.38/31 | 31.239.192.38 to 31.239.192.39 | — | 2 |
| 21 | 31.239.192.40/31 | 31.239.192.40 to 31.239.192.41 | — | 2 |
| 22 | 31.239.192.42/31 | 31.239.192.42 to 31.239.192.43 | — | 2 |
| 23 | 31.239.192.44/31 | 31.239.192.44 to 31.239.192.45 | — | 2 |
| 24 | 31.239.192.46/31 | 31.239.192.46 to 31.239.192.47 | — | 2 |
| 25 | 31.239.192.48/31 | 31.239.192.48 to 31.239.192.49 | — | 2 |
| 26 | 31.239.192.50/31 | 31.239.192.50 to 31.239.192.51 | — | 2 |
| 27 | 31.239.192.52/31 | 31.239.192.52 to 31.239.192.53 | — | 2 |
| 28 | 31.239.192.54/31 | 31.239.192.54 to 31.239.192.55 | — | 2 |
| 29 | 31.239.192.56/31 | 31.239.192.56 to 31.239.192.57 | — | 2 |
| 30 | 31.239.192.58/31 | 31.239.192.58 to 31.239.192.59 | — | 2 |
| 31 | 31.239.192.60/31 | 31.239.192.60 to 31.239.192.61 | — | 2 |
| 32 | 31.239.192.62/31 | 31.239.192.62 to 31.239.192.63 | — | 2 |
| 33 | 31.239.192.64/31 | 31.239.192.64 to 31.239.192.65 | — | 2 |
| 34 | 31.239.192.66/31 | 31.239.192.66 to 31.239.192.67 | — | 2 |
| 35 | 31.239.192.68/31 | 31.239.192.68 to 31.239.192.69 | — | 2 |
| 36 | 31.239.192.70/31 | 31.239.192.70 to 31.239.192.71 | — | 2 |
| 37 | 31.239.192.72/31 | 31.239.192.72 to 31.239.192.73 | — | 2 |
| 38 | 31.239.192.74/31 | 31.239.192.74 to 31.239.192.75 | — | 2 |
| 39 | 31.239.192.76/31 | 31.239.192.76 to 31.239.192.77 | — | 2 |
| 40 | 31.239.192.78/31 | 31.239.192.78 to 31.239.192.79 | — | 2 |
| 41 | 31.239.192.80/31 | 31.239.192.80 to 31.239.192.81 | — | 2 |
| 42 | 31.239.192.82/31 | 31.239.192.82 to 31.239.192.83 | — | 2 |
| 43 | 31.239.192.84/31 | 31.239.192.84 to 31.239.192.85 | — | 2 |
| 44 | 31.239.192.86/31 | 31.239.192.86 to 31.239.192.87 | — | 2 |
| 45 | 31.239.192.88/31 | 31.239.192.88 to 31.239.192.89 | — | 2 |
| 46 | 31.239.192.90/31 | 31.239.192.90 to 31.239.192.91 | — | 2 |
| 47 | 31.239.192.92/31 | 31.239.192.92 to 31.239.192.93 | — | 2 |
| 48 | 31.239.192.94/31 | 31.239.192.94 to 31.239.192.95 | — | 2 |
| 49 | 31.239.192.96/31 | 31.239.192.96 to 31.239.192.97 | — | 2 |
| 50 | 31.239.192.98/31 | 31.239.192.98 to 31.239.192.99 | — | 2 |
| 51 | 31.239.192.100/31 | 31.239.192.100 to 31.239.192.101 | — | 2 |
| 52 | 31.239.192.102/31 | 31.239.192.102 to 31.239.192.103 | — | 2 |
| 53 | 31.239.192.104/31 | 31.239.192.104 to 31.239.192.105 | — | 2 |
| 54 | 31.239.192.106/31 | 31.239.192.106 to 31.239.192.107 | — | 2 |
| 55 | 31.239.192.108/31 | 31.239.192.108 to 31.239.192.109 | — | 2 |
| 56 | 31.239.192.110/31 | 31.239.192.110 to 31.239.192.111 | — | 2 |
| 57 | 31.239.192.112/31 | 31.239.192.112 to 31.239.192.113 | — | 2 |
| 58 | 31.239.192.114/31 | 31.239.192.114 to 31.239.192.115 | — | 2 |
| 59 | 31.239.192.116/31 | 31.239.192.116 to 31.239.192.117 | — | 2 |
| 60 | 31.239.192.118/31 | 31.239.192.118 to 31.239.192.119 | — | 2 |
| 61 | 31.239.192.120/31 | 31.239.192.120 to 31.239.192.121 | — | 2 |
| 62 | 31.239.192.122/31 | 31.239.192.122 to 31.239.192.123 | — | 2 |
| 63 | 31.239.192.124/31 | 31.239.192.124 to 31.239.192.125 | — | 2 |
| 64 | 31.239.192.126/31 | 31.239.192.126 to 31.239.192.127 | — | 2 |
| 65 | 31.239.192.128/31 | 31.239.192.128 to 31.239.192.129 | — | 2 |
| 66 | 31.239.192.130/31 | 31.239.192.130 to 31.239.192.131 | — | 2 |
| 67 | 31.239.192.132/31 | 31.239.192.132 to 31.239.192.133 | — | 2 |
| 68 | 31.239.192.134/31 | 31.239.192.134 to 31.239.192.135 | — | 2 |
| 69 | 31.239.192.136/31 | 31.239.192.136 to 31.239.192.137 | — | 2 |
| 70 | 31.239.192.138/31 | 31.239.192.138 to 31.239.192.139 | — | 2 |
| 71 | 31.239.192.140/31 | 31.239.192.140 to 31.239.192.141 | — | 2 |
| 72 | 31.239.192.142/31 | 31.239.192.142 to 31.239.192.143 | — | 2 |
| 73 | 31.239.192.144/31 | 31.239.192.144 to 31.239.192.145 | — | 2 |
| 74 | 31.239.192.146/31 | 31.239.192.146 to 31.239.192.147 | — | 2 |
| 75 | 31.239.192.148/31 | 31.239.192.148 to 31.239.192.149 | — | 2 |
| 76 | 31.239.192.150/31 | 31.239.192.150 to 31.239.192.151 | — | 2 |
| 77 | 31.239.192.152/31 | 31.239.192.152 to 31.239.192.153 | — | 2 |
| 78 | 31.239.192.154/31 | 31.239.192.154 to 31.239.192.155 | — | 2 |
| 79 | 31.239.192.156/31 | 31.239.192.156 to 31.239.192.157 | — | 2 |
| 80 | 31.239.192.158/31 | 31.239.192.158 to 31.239.192.159 | — | 2 |
| 81 | 31.239.192.160/31 | 31.239.192.160 to 31.239.192.161 | — | 2 |
| 82 | 31.239.192.162/31 | 31.239.192.162 to 31.239.192.163 | — | 2 |
| 83 | 31.239.192.164/31 | 31.239.192.164 to 31.239.192.165 | — | 2 |
| 84 | 31.239.192.166/31 | 31.239.192.166 to 31.239.192.167 | — | 2 |
| 85 | 31.239.192.168/31 | 31.239.192.168 to 31.239.192.169 | — | 2 |
| 86 | 31.239.192.170/31 | 31.239.192.170 to 31.239.192.171 | — | 2 |
| 87 | 31.239.192.172/31 | 31.239.192.172 to 31.239.192.173 | — | 2 |
| 88 | 31.239.192.174/31 | 31.239.192.174 to 31.239.192.175 | — | 2 |
| 89 | 31.239.192.176/31 | 31.239.192.176 to 31.239.192.177 | — | 2 |
| 90 | 31.239.192.178/31 | 31.239.192.178 to 31.239.192.179 | — | 2 |
| 91 | 31.239.192.180/31 | 31.239.192.180 to 31.239.192.181 | — | 2 |
| 92 | 31.239.192.182/31 | 31.239.192.182 to 31.239.192.183 | — | 2 |
| 93 | 31.239.192.184/31 | 31.239.192.184 to 31.239.192.185 | — | 2 |
| 94 | 31.239.192.186/31 | 31.239.192.186 to 31.239.192.187 | — | 2 |
| 95 | 31.239.192.188/31 | 31.239.192.188 to 31.239.192.189 | — | 2 |
| 96 | 31.239.192.190/31 | 31.239.192.190 to 31.239.192.191 | — | 2 |
| 97 | 31.239.192.192/31 | 31.239.192.192 to 31.239.192.193 | — | 2 |
| 98 | 31.239.192.194/31 | 31.239.192.194 to 31.239.192.195 | — | 2 |
| 99 | 31.239.192.196/31 | 31.239.192.196 to 31.239.192.197 | — | 2 |
| 100 | 31.239.192.198/31 | 31.239.192.198 to 31.239.192.199 | — | 2 |
| 101 | 31.239.192.200/31 | 31.239.192.200 to 31.239.192.201 | — | 2 |
| 102 | 31.239.192.202/31 | 31.239.192.202 to 31.239.192.203 | — | 2 |
| 103 | 31.239.192.204/31 | 31.239.192.204 to 31.239.192.205 | — | 2 |
| 104 | 31.239.192.206/31 | 31.239.192.206 to 31.239.192.207 | — | 2 |
| 105 | 31.239.192.208/31 | 31.239.192.208 to 31.239.192.209 | — | 2 |
| 106 | 31.239.192.210/31 | 31.239.192.210 to 31.239.192.211 | — | 2 |
| 107 | 31.239.192.212/31 | 31.239.192.212 to 31.239.192.213 | — | 2 |
| 108 | 31.239.192.214/31 | 31.239.192.214 to 31.239.192.215 | — | 2 |
| 109 | 31.239.192.216/31 | 31.239.192.216 to 31.239.192.217 | — | 2 |
| 110 | 31.239.192.218/31 | 31.239.192.218 to 31.239.192.219 | — | 2 |
| 111 | 31.239.192.220/31 | 31.239.192.220 to 31.239.192.221 | — | 2 |
| 112 | 31.239.192.222/31 | 31.239.192.222 to 31.239.192.223 | — | 2 |
| 113 | 31.239.192.224/31 | 31.239.192.224 to 31.239.192.225 | — | 2 |
| 114 | 31.239.192.226/31 | 31.239.192.226 to 31.239.192.227 | — | 2 |
| 115 | 31.239.192.228/31 | 31.239.192.228 to 31.239.192.229 | — | 2 |
| 116 | 31.239.192.230/31 | 31.239.192.230 to 31.239.192.231 | — | 2 |
| 117 | 31.239.192.232/31 | 31.239.192.232 to 31.239.192.233 | — | 2 |
| 118 | 31.239.192.234/31 | 31.239.192.234 to 31.239.192.235 | — | 2 |
| 119 | 31.239.192.236/31 | 31.239.192.236 to 31.239.192.237 | — | 2 |
| 120 | 31.239.192.238/31 | 31.239.192.238 to 31.239.192.239 | — | 2 |
| 121 | 31.239.192.240/31 | 31.239.192.240 to 31.239.192.241 | — | 2 |
| 122 | 31.239.192.242/31 | 31.239.192.242 to 31.239.192.243 | — | 2 |
| 123 | 31.239.192.244/31 | 31.239.192.244 to 31.239.192.245 | — | 2 |
| 124 | 31.239.192.246/31 | 31.239.192.246 to 31.239.192.247 | — | 2 |
| 125 | 31.239.192.248/31 | 31.239.192.248 to 31.239.192.249 | — | 2 |
| 126 | 31.239.192.250/31 | 31.239.192.250 to 31.239.192.251 | — | 2 |
| 127 | 31.239.192.252/31 | 31.239.192.252 to 31.239.192.253 | — | 2 |
| 128 | 31.239.192.254/31 | 31.239.192.254 to 31.239.192.255 | — | 2 |
| 129 | 31.239.193.0/31 | 31.239.193.0 to 31.239.193.1 | — | 2 |
| 130 | 31.239.193.2/31 | 31.239.193.2 to 31.239.193.3 | — | 2 |
| 131 | 31.239.193.4/31 | 31.239.193.4 to 31.239.193.5 | — | 2 |
| 132 | 31.239.193.6/31 | 31.239.193.6 to 31.239.193.7 | — | 2 |
| 133 | 31.239.193.8/31 | 31.239.193.8 to 31.239.193.9 | — | 2 |
| 134 | 31.239.193.10/31 | 31.239.193.10 to 31.239.193.11 | — | 2 |
| 135 | 31.239.193.12/31 | 31.239.193.12 to 31.239.193.13 | — | 2 |
| 136 | 31.239.193.14/31 | 31.239.193.14 to 31.239.193.15 | — | 2 |
| 137 | 31.239.193.16/31 | 31.239.193.16 to 31.239.193.17 | — | 2 |
| 138 | 31.239.193.18/31 | 31.239.193.18 to 31.239.193.19 | — | 2 |
| 139 | 31.239.193.20/31 | 31.239.193.20 to 31.239.193.21 | — | 2 |
| 140 | 31.239.193.22/31 | 31.239.193.22 to 31.239.193.23 | — | 2 |
| 141 | 31.239.193.24/31 | 31.239.193.24 to 31.239.193.25 | — | 2 |
| 142 | 31.239.193.26/31 | 31.239.193.26 to 31.239.193.27 | — | 2 |
| 143 | 31.239.193.28/31 | 31.239.193.28 to 31.239.193.29 | — | 2 |
| 144 | 31.239.193.30/31 | 31.239.193.30 to 31.239.193.31 | — | 2 |
| 145 | 31.239.193.32/31 | 31.239.193.32 to 31.239.193.33 | — | 2 |
| 146 | 31.239.193.34/31 | 31.239.193.34 to 31.239.193.35 | — | 2 |
| 147 | 31.239.193.36/31 | 31.239.193.36 to 31.239.193.37 | — | 2 |
| 148 | 31.239.193.38/31 | 31.239.193.38 to 31.239.193.39 | — | 2 |
| 149 | 31.239.193.40/31 | 31.239.193.40 to 31.239.193.41 | — | 2 |
| 150 | 31.239.193.42/31 | 31.239.193.42 to 31.239.193.43 | — | 2 |
| 151 | 31.239.193.44/31 | 31.239.193.44 to 31.239.193.45 | — | 2 |
| 152 | 31.239.193.46/31 | 31.239.193.46 to 31.239.193.47 | — | 2 |
| 153 | 31.239.193.48/31 | 31.239.193.48 to 31.239.193.49 | — | 2 |
| 154 | 31.239.193.50/31 | 31.239.193.50 to 31.239.193.51 | — | 2 |
| 155 | 31.239.193.52/31 | 31.239.193.52 to 31.239.193.53 | — | 2 |
| 156 | 31.239.193.54/31 | 31.239.193.54 to 31.239.193.55 | — | 2 |
| 157 | 31.239.193.56/31 | 31.239.193.56 to 31.239.193.57 | — | 2 |
| 158 | 31.239.193.58/31 | 31.239.193.58 to 31.239.193.59 | — | 2 |
| 159 | 31.239.193.60/31 | 31.239.193.60 to 31.239.193.61 | — | 2 |
| 160 | 31.239.193.62/31 | 31.239.193.62 to 31.239.193.63 | — | 2 |
| 161 | 31.239.193.64/31 | 31.239.193.64 to 31.239.193.65 | — | 2 |
| 162 | 31.239.193.66/31 | 31.239.193.66 to 31.239.193.67 | — | 2 |
| 163 | 31.239.193.68/31 | 31.239.193.68 to 31.239.193.69 | — | 2 |
| 164 | 31.239.193.70/31 | 31.239.193.70 to 31.239.193.71 | — | 2 |
| 165 | 31.239.193.72/31 | 31.239.193.72 to 31.239.193.73 | — | 2 |
| 166 | 31.239.193.74/31 | 31.239.193.74 to 31.239.193.75 | — | 2 |
| 167 | 31.239.193.76/31 | 31.239.193.76 to 31.239.193.77 | — | 2 |
| 168 | 31.239.193.78/31 | 31.239.193.78 to 31.239.193.79 | — | 2 |
| 169 | 31.239.193.80/31 | 31.239.193.80 to 31.239.193.81 | — | 2 |
| 170 | 31.239.193.82/31 | 31.239.193.82 to 31.239.193.83 | — | 2 |
| 171 | 31.239.193.84/31 | 31.239.193.84 to 31.239.193.85 | — | 2 |
| 172 | 31.239.193.86/31 | 31.239.193.86 to 31.239.193.87 | — | 2 |
| 173 | 31.239.193.88/31 | 31.239.193.88 to 31.239.193.89 | — | 2 |
| 174 | 31.239.193.90/31 | 31.239.193.90 to 31.239.193.91 | — | 2 |
| 175 | 31.239.193.92/31 | 31.239.193.92 to 31.239.193.93 | — | 2 |
| 176 | 31.239.193.94/31 | 31.239.193.94 to 31.239.193.95 | — | 2 |
| 177 | 31.239.193.96/31 | 31.239.193.96 to 31.239.193.97 | — | 2 |
| 178 | 31.239.193.98/31 | 31.239.193.98 to 31.239.193.99 | — | 2 |
| 179 | 31.239.193.100/31 | 31.239.193.100 to 31.239.193.101 | — | 2 |
| 180 | 31.239.193.102/31 | 31.239.193.102 to 31.239.193.103 | — | 2 |
| 181 | 31.239.193.104/31 | 31.239.193.104 to 31.239.193.105 | — | 2 |
| 182 | 31.239.193.106/31 | 31.239.193.106 to 31.239.193.107 | — | 2 |
| 183 | 31.239.193.108/31 | 31.239.193.108 to 31.239.193.109 | — | 2 |
| 184 | 31.239.193.110/31 | 31.239.193.110 to 31.239.193.111 | — | 2 |
| 185 | 31.239.193.112/31 | 31.239.193.112 to 31.239.193.113 | — | 2 |
| 186 | 31.239.193.114/31 | 31.239.193.114 to 31.239.193.115 | — | 2 |
| 187 | 31.239.193.116/31 | 31.239.193.116 to 31.239.193.117 | — | 2 |
| 188 | 31.239.193.118/31 | 31.239.193.118 to 31.239.193.119 | — | 2 |
| 189 | 31.239.193.120/31 | 31.239.193.120 to 31.239.193.121 | — | 2 |
| 190 | 31.239.193.122/31 | 31.239.193.122 to 31.239.193.123 | — | 2 |
| 191 | 31.239.193.124/31 | 31.239.193.124 to 31.239.193.125 | — | 2 |
| 192 | 31.239.193.126/31 | 31.239.193.126 to 31.239.193.127 | — | 2 |
| 193 | 31.239.193.128/31 | 31.239.193.128 to 31.239.193.129 | — | 2 |
| 194 | 31.239.193.130/31 | 31.239.193.130 to 31.239.193.131 | — | 2 |
| 195 | 31.239.193.132/31 | 31.239.193.132 to 31.239.193.133 | — | 2 |
| 196 | 31.239.193.134/31 | 31.239.193.134 to 31.239.193.135 | — | 2 |
| 197 | 31.239.193.136/31 | 31.239.193.136 to 31.239.193.137 | — | 2 |
| 198 | 31.239.193.138/31 | 31.239.193.138 to 31.239.193.139 | — | 2 |
| 199 | 31.239.193.140/31 | 31.239.193.140 to 31.239.193.141 | — | 2 |
| 200 | 31.239.193.142/31 | 31.239.193.142 to 31.239.193.143 | — | 2 |
| 201 | 31.239.193.144/31 | 31.239.193.144 to 31.239.193.145 | — | 2 |
| 202 | 31.239.193.146/31 | 31.239.193.146 to 31.239.193.147 | — | 2 |
| 203 | 31.239.193.148/31 | 31.239.193.148 to 31.239.193.149 | — | 2 |
| 204 | 31.239.193.150/31 | 31.239.193.150 to 31.239.193.151 | — | 2 |
| 205 | 31.239.193.152/31 | 31.239.193.152 to 31.239.193.153 | — | 2 |
| 206 | 31.239.193.154/31 | 31.239.193.154 to 31.239.193.155 | — | 2 |
| 207 | 31.239.193.156/31 | 31.239.193.156 to 31.239.193.157 | — | 2 |
| 208 | 31.239.193.158/31 | 31.239.193.158 to 31.239.193.159 | — | 2 |
| 209 | 31.239.193.160/31 | 31.239.193.160 to 31.239.193.161 | — | 2 |
| 210 | 31.239.193.162/31 | 31.239.193.162 to 31.239.193.163 | — | 2 |
| 211 | 31.239.193.164/31 | 31.239.193.164 to 31.239.193.165 | — | 2 |
| 212 | 31.239.193.166/31 | 31.239.193.166 to 31.239.193.167 | — | 2 |
| 213 | 31.239.193.168/31 | 31.239.193.168 to 31.239.193.169 | — | 2 |
| 214 | 31.239.193.170/31 | 31.239.193.170 to 31.239.193.171 | — | 2 |
| 215 | 31.239.193.172/31 | 31.239.193.172 to 31.239.193.173 | — | 2 |
| 216 | 31.239.193.174/31 | 31.239.193.174 to 31.239.193.175 | — | 2 |
| 217 | 31.239.193.176/31 | 31.239.193.176 to 31.239.193.177 | — | 2 |
| 218 | 31.239.193.178/31 | 31.239.193.178 to 31.239.193.179 | — | 2 |
| 219 | 31.239.193.180/31 | 31.239.193.180 to 31.239.193.181 | — | 2 |
| 220 | 31.239.193.182/31 | 31.239.193.182 to 31.239.193.183 | — | 2 |
| 221 | 31.239.193.184/31 | 31.239.193.184 to 31.239.193.185 | — | 2 |
| 222 | 31.239.193.186/31 | 31.239.193.186 to 31.239.193.187 | — | 2 |
| 223 | 31.239.193.188/31 | 31.239.193.188 to 31.239.193.189 | — | 2 |
| 224 | 31.239.193.190/31 | 31.239.193.190 to 31.239.193.191 | — | 2 |
| 225 | 31.239.193.192/31 | 31.239.193.192 to 31.239.193.193 | — | 2 |
| 226 | 31.239.193.194/31 | 31.239.193.194 to 31.239.193.195 | — | 2 |
| 227 | 31.239.193.196/31 | 31.239.193.196 to 31.239.193.197 | — | 2 |
| 228 | 31.239.193.198/31 | 31.239.193.198 to 31.239.193.199 | — | 2 |
| 229 | 31.239.193.200/31 | 31.239.193.200 to 31.239.193.201 | — | 2 |
| 230 | 31.239.193.202/31 | 31.239.193.202 to 31.239.193.203 | — | 2 |
| 231 | 31.239.193.204/31 | 31.239.193.204 to 31.239.193.205 | — | 2 |
| 232 | 31.239.193.206/31 | 31.239.193.206 to 31.239.193.207 | — | 2 |
| 233 | 31.239.193.208/31 | 31.239.193.208 to 31.239.193.209 | — | 2 |
| 234 | 31.239.193.210/31 | 31.239.193.210 to 31.239.193.211 | — | 2 |
| 235 | 31.239.193.212/31 | 31.239.193.212 to 31.239.193.213 | — | 2 |
| 236 | 31.239.193.214/31 | 31.239.193.214 to 31.239.193.215 | — | 2 |
| 237 | 31.239.193.216/31 | 31.239.193.216 to 31.239.193.217 | — | 2 |
| 238 | 31.239.193.218/31 | 31.239.193.218 to 31.239.193.219 | — | 2 |
| 239 | 31.239.193.220/31 | 31.239.193.220 to 31.239.193.221 | — | 2 |
| 240 | 31.239.193.222/31 | 31.239.193.222 to 31.239.193.223 | — | 2 |
| 241 | 31.239.193.224/31 | 31.239.193.224 to 31.239.193.225 | — | 2 |
| 242 | 31.239.193.226/31 | 31.239.193.226 to 31.239.193.227 | — | 2 |
| 243 | 31.239.193.228/31 | 31.239.193.228 to 31.239.193.229 | — | 2 |
| 244 | 31.239.193.230/31 | 31.239.193.230 to 31.239.193.231 | — | 2 |
| 245 | 31.239.193.232/31 | 31.239.193.232 to 31.239.193.233 | — | 2 |
| 246 | 31.239.193.234/31 | 31.239.193.234 to 31.239.193.235 | — | 2 |
| 247 | 31.239.193.236/31 | 31.239.193.236 to 31.239.193.237 | — | 2 |
| 248 | 31.239.193.238/31 | 31.239.193.238 to 31.239.193.239 | — | 2 |
| 249 | 31.239.193.240/31 | 31.239.193.240 to 31.239.193.241 | — | 2 |
| 250 | 31.239.193.242/31 | 31.239.193.242 to 31.239.193.243 | — | 2 |
| 251 | 31.239.193.244/31 | 31.239.193.244 to 31.239.193.245 | — | 2 |
| 252 | 31.239.193.246/31 | 31.239.193.246 to 31.239.193.247 | — | 2 |
| 253 | 31.239.193.248/31 | 31.239.193.248 to 31.239.193.249 | — | 2 |
| 254 | 31.239.193.250/31 | 31.239.193.250 to 31.239.193.251 | — | 2 |
| 255 | 31.239.193.252/31 | 31.239.193.252 to 31.239.193.253 | — | 2 |
| 256 | 31.239.193.254/31 | 31.239.193.254 to 31.239.193.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |